Upstream information

CVE-2017-10986 at MITRE

Description

An FR-GV-303 issue in FreeRADIUS 3.x before 3.0.15 allows "DHCP - Infinite read in dhcp_attr2vp()" and a denial of service.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 2.6
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
SUSE Bugzilla entry: 1049086 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • freeradius-server >= 3.0.16-1.41
  • freeradius-server-devel >= 3.0.16-1.41
  • freeradius-server-krb5 >= 3.0.16-1.41
  • freeradius-server-ldap >= 3.0.16-1.41
  • freeradius-server-libs >= 3.0.16-1.41
  • freeradius-server-mysql >= 3.0.16-1.41
  • freeradius-server-perl >= 3.0.16-1.41
  • freeradius-server-postgresql >= 3.0.16-1.41
  • freeradius-server-python >= 3.0.16-1.41
  • freeradius-server-sqlite >= 3.0.16-1.41
  • freeradius-server-utils >= 3.0.16-1.41
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA freeradius-server
SUSE Linux Enterprise Server 12 SP3
  • freeradius-server >= 3.0.15-2.3.1
  • freeradius-server-doc >= 3.0.15-2.3.1
  • freeradius-server-krb5 >= 3.0.15-2.3.1
  • freeradius-server-ldap >= 3.0.15-2.3.1
  • freeradius-server-libs >= 3.0.15-2.3.1
  • freeradius-server-mysql >= 3.0.15-2.3.1
  • freeradius-server-perl >= 3.0.15-2.3.1
  • freeradius-server-postgresql >= 3.0.15-2.3.1
  • freeradius-server-python >= 3.0.15-2.3.1
  • freeradius-server-sqlite >= 3.0.15-2.3.1
  • freeradius-server-utils >= 3.0.15-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1341
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • freeradius-server >= 3.0.15-2.3.1
  • freeradius-server-doc >= 3.0.15-2.3.1
  • freeradius-server-krb5 >= 3.0.15-2.3.1
  • freeradius-server-ldap >= 3.0.15-2.3.1
  • freeradius-server-libs >= 3.0.15-2.3.1
  • freeradius-server-mysql >= 3.0.15-2.3.1
  • freeradius-server-perl >= 3.0.15-2.3.1
  • freeradius-server-postgresql >= 3.0.15-2.3.1
  • freeradius-server-python >= 3.0.15-2.3.1
  • freeradius-server-sqlite >= 3.0.15-2.3.1
  • freeradius-server-utils >= 3.0.15-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1341
SUSE Linux Enterprise Software Development Kit 12 SP3
  • freeradius-server >= 3.0.15-2.3.1
  • freeradius-server-devel >= 3.0.15-2.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1341
openSUSE Leap 42.2
  • freeradius-server >= 3.0.12-2.9.1
  • freeradius-server-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-debugsource >= 3.0.12-2.9.1
  • freeradius-server-devel >= 3.0.12-2.9.1
  • freeradius-server-doc >= 3.0.12-2.9.1
  • freeradius-server-krb5 >= 3.0.12-2.9.1
  • freeradius-server-krb5-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-ldap >= 3.0.12-2.9.1
  • freeradius-server-ldap-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-libs >= 3.0.12-2.9.1
  • freeradius-server-libs-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-mysql >= 3.0.12-2.9.1
  • freeradius-server-mysql-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-perl >= 3.0.12-2.9.1
  • freeradius-server-perl-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-postgresql >= 3.0.12-2.9.1
  • freeradius-server-postgresql-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-python >= 3.0.12-2.9.1
  • freeradius-server-python-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-sqlite >= 3.0.12-2.9.1
  • freeradius-server-sqlite-debuginfo >= 3.0.12-2.9.1
  • freeradius-server-utils >= 3.0.12-2.9.1
  • freeradius-server-utils-debuginfo >= 3.0.12-2.9.1
Patchnames:
openSUSE-2017-1192
openSUSE Leap 42.3
  • freeradius-server >= 3.0.15-3.1
  • freeradius-server-debuginfo >= 3.0.15-3.1
  • freeradius-server-debugsource >= 3.0.15-3.1
  • freeradius-server-devel >= 3.0.15-3.1
  • freeradius-server-doc >= 3.0.15-3.1
  • freeradius-server-krb5 >= 3.0.15-3.1
  • freeradius-server-krb5-debuginfo >= 3.0.15-3.1
  • freeradius-server-ldap >= 3.0.15-3.1
  • freeradius-server-ldap-debuginfo >= 3.0.15-3.1
  • freeradius-server-libs >= 3.0.15-3.1
  • freeradius-server-libs-debuginfo >= 3.0.15-3.1
  • freeradius-server-mysql >= 3.0.15-3.1
  • freeradius-server-mysql-debuginfo >= 3.0.15-3.1
  • freeradius-server-perl >= 3.0.15-3.1
  • freeradius-server-perl-debuginfo >= 3.0.15-3.1
  • freeradius-server-postgresql >= 3.0.15-3.1
  • freeradius-server-postgresql-debuginfo >= 3.0.15-3.1
  • freeradius-server-python >= 3.0.15-3.1
  • freeradius-server-python-debuginfo >= 3.0.15-3.1
  • freeradius-server-sqlite >= 3.0.15-3.1
  • freeradius-server-sqlite-debuginfo >= 3.0.15-3.1
  • freeradius-server-utils >= 3.0.15-3.1
  • freeradius-server-utils-debuginfo >= 3.0.15-3.1
Patchnames:
openSUSE-2017-972


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 freeradius-server Released
SUSE Linux Enterprise SDK 12 SP2 freeradius-server Released
SUSE Linux Enterprise SDK 12 SP3 freeradius-server Released
SUSE Linux Enterprise Server 11 SP3 LTSS freeradius-server Affected
SUSE Linux Enterprise Server 11 SP4 freeradius-server Released
SUSE Linux Enterprise Server 12 GA LTSS freeradius-server Affected
SUSE Linux Enterprise Server 12 SP1 LTSS freeradius-server Affected
SUSE Linux Enterprise Server 12 SP2 freeradius-server Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI freeradius-server Released
SUSE Linux Enterprise Server 12 SP3 freeradius-server Released